<div class="wrap">
    <h1><?php esc_html_e( 'Spam Interceptor Settings', 'spam-interceptor' ); ?></h1>
    <h2><?php esc_html_e( 'Guide', 'spam-interceptor' ); ?></h2>
    <ol>
        <li><?php esc_html_e( 'Add phrases (one per line) you would like to block from your site', 'spam-interceptor' ); ?></li>
        <li><?php esc_html_e( 'Use the Recommended Spam Phrases list for suggestions', 'spam-interceptor' ); ?></li>
        <li><?php echo wp_kses_post( 'To support this plugin we recommend using <a href="https://webv8.net" target="_blank">Web V8 Hosting</a>' ); ?></li>
    </ol>
    <form method="post" action="options.php">
        <?php settings_fields( 'spam_interceptor_settings' ); wp_nonce_field( 'spam_interceptor_nonce_action', 'spam_interceptor_nonce' ); do_settings_sections( 'spam_interceptor_settings' ); ?>
        <h2><?php esc_html_e( 'Blocked Phrases', 'spam-interceptor' ); ?></h2>
        <p><?php esc_html_e( 'Please add one phrase / keyword per line to block from your website.', 'spam-interceptor' ); ?></p>
        <textarea name="spam_interceptor_targets" rows="10" cols="50"><?php echo esc_textarea( get_option( 'spam_interceptor_targets' ) ); ?></textarea>
        <h2><?php esc_html_e( 'Recommended Spam Phrases', 'spam-interceptor' ); ?></h2>
        <p><?php esc_html_e( 'Last Update:', 'spam-interceptor' ); ?> <?php echo esc_html( gmdate( 'F j, Y', strtotime( wp_remote_retrieve_header( wp_remote_head( 'https://webv8.net/rsc/spam-interceptor.txt' ), 'last-modified' ) ) ) ); ?></p>
        <textarea readonly rows="10" cols="50" style="line-height: 1.5;"><?php
            $response = wp_remote_get( 'https://webv8.net/rsc/spam-interceptor.txt' );
            if ( ! is_wp_error( $response ) ) {
                echo esc_textarea( wp_remote_retrieve_body( $response ) );
            } else {
                esc_html_e( 'Unable to fetch the list.', 'spam-interceptor' );
            }
        ?></textarea>
        <button type="button" class="button button-primary" id="copy-all"><?php esc_html_e( 'Copy All', 'spam-interceptor' ); ?></button>
        <h2><?php esc_html_e( 'Additional Settings', 'spam-interceptor' ); ?></h2>
        <label style="margin-bottom: 10px; display: inline-block;"><input type="checkbox" name="spam_interceptor_additional_settings[block_wp_mail]" value="1" <?php checked( isset( get_option( 'spam_interceptor_additional_settings' )['block_wp_mail'] ), 1 ); ?> /><?php esc_html_e( 'Block at WPMAIL level (secondary block)', 'spam-interceptor' ); ?></label><br>
        <label style="display: inline-block;"><input type="checkbox" name="spam_interceptor_additional_settings[uninstall]" value="1" <?php checked( isset( get_option( 'spam_interceptor_additional_settings' )['uninstall'] ), 1 ); ?> /><?php esc_html_e( 'Completely Uninstall on de-activation', 'spam-interceptor' ); ?></label><br>
        <?php submit_button(); ?>
    </form>
    <script type="text/javascript">
        document.getElementById('copy-all').addEventListener('click', function() {
            var text = document.querySelector('textarea[readonly]').value;
            var targetBox = document.querySelector('textarea[name="spam_interceptor_targets"]');
            targetBox.value = text;
            alert('<?php esc_html_e('Phrases copied to Blocked Phrases box.', 'spam-interceptor'); ?>');
        });
    </script>
</div>
