<?php
class Spam_Interceptor_Activator {
    public static function activate() {
        global $wpdb;
        $table_name = $wpdb->prefix . 'spam_interceptor';
        $charset_collate = $wpdb->get_charset_collate();
        $sql = "CREATE TABLE $table_name (id mediumint(9) NOT NULL AUTO_INCREMENT, target_phrase text NOT NULL, PRIMARY KEY  (id)) $charset_collate;";
        require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
        dbDelta( $sql );
    }
    public static function deactivate() {
        $settings = get_option( 'spam_interceptor_additional_settings' );
        if ( isset( $settings['uninstall'] ) && $settings['uninstall'] == 1 ) {
            delete_option( 'spam_interceptor_targets' );
            delete_option( 'spam_interceptor_additional_settings' );
            global $wpdb;
            $table_name = $wpdb->prefix . 'spam_interceptor';
            wp_cache_delete( 'spam_interceptor_self_drive' );
            // phpcs:disable WordPress.DB.DirectDatabaseQuery.DirectQuery, WordPress.DB.DirectDatabaseQuery.SchemaChange
            $wpdb->query( "DROP TABLE IF EXISTS " . esc_sql( $table_name ) );
            // phpcs:enable WordPress.DB.DirectDatabaseQuery.DirectQuery, WordPress.DB.DirectDatabaseQuery.SchemaChange
        }
    }
}
