<?php
/**
 * Plugin Name: Spam Interceptor
 * Plugin URI: https://webv8.net/spam-interceptor/
 * Description: Blocks form submissions containing specified phrases.
 * Version: 2.0
 * Author: Web V8
 * Author URI: https://webv8.net/
 * License: GPL v2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: spam-interceptor
 * Domain Path: /languages
 */
if ( ! defined( 'ABSPATH' ) ) exit;
require_once plugin_dir_path( __FILE__ ) . 'includes/class-spam-interceptor-activator.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/class-spam-interceptor.php';
register_activation_hook( __FILE__, array( 'Spam_Interceptor_Activator', 'activate' ) );
register_deactivation_hook( __FILE__, array( 'Spam_Interceptor_Activator', 'deactivate' ) );

// Add Settings link to Plugins page
add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'spam_interceptor_add_settings_link' );
function spam_interceptor_add_settings_link( $links ) {
    $settings_link = '<a href="admin.php?page=spam-interceptor">' . __( 'Settings', 'spam-interceptor' ) . '</a>';
    array_push( $links, $settings_link );
    return $links;
}

function run_spam_interceptor() {
    $plugin = new Spam_Interceptor();
    $plugin->run();
}
run_spam_interceptor();
